www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gavin McDonald <ga...@16degrees.com.au>
Subject Re: [JENKINS] - Plugins update
Date Sun, 17 Sep 2017 02:02:28 GMT
Thanks Andrew,

I have filed https://issues.jenkins-ci.org/browse/JENKINS-46909 <https://issues.jenkins-ci.org/browse/JENKINS-46909>


and will follow up there with more info and even more screenshots.

Gav…

> On 17 Sep 2017, at 10:54 am, Andrew Bayer <andrew.bayer@gmail.com> wrote:
> 
> I was gonna ask you to open a JIRA so we can figure that out. =)
> 
> A. 
> 
> On Sep 16, 2017 20:37, "Gavin McDonald" <gavin@16degrees.com.au <mailto:gavin@16degrees.com.au>>
wrote:
> Attached are 2 screenshots of the plugins for upgrade yesterday.
> 
> There is no mention of the two problem plugins.
> 
> Since downgrading those 2 plugins today to compatible versions, of course, the 
> warning is now present for the workflow-job plugin.
> 
> I’ll follow up with this upstream, as this should not happen.
> 
> Gav…
> 
> 
> 
> 
>> On 17 Sep 2017, at 10:27 am, Gavin McDonald <gavin@16degrees.com.au <mailto:gavin@16degrees.com.au>>
wrote:
>> 
>> 
>>> On 17 Sep 2017, at 10:08 am, Andrew Bayer <andrew.bayer@gmail.com <mailto:andrew.bayer@gmail.com>>
wrote:
>>> 
>>> I'd strongly advise downgrading to workflow-job 2.12.2 - that's the newest
>>> version that works on core 2.60.3. You can download it at
>>> http://updates.jenkins-ci.org/download/plugins/workflow-job/2.12.2/workflow-job.hpi
<http://updates.jenkins-ci.org/download/plugins/workflow-job/2.12.2/workflow-job.hpi>
>>> and install it by going to Manage Plugins -> Advanced.
>> 
>> Thanks Andrew, already did :)
>> 
>> And the other culprit was the token-macro plugin.
>> 
>> Things seem fine now.
>> 
>> Why that workflow-job was allowed to upgrade in the first place without a warning
in place 
>> is another question.
>> 
>> Gav…
>> 
>>> 
>>> A.
>>> 
>>> On Sat, Sep 16, 2017 at 8:04 PM Gavin McDonald <gavin@16degrees.com.au <mailto:gavin@16degrees.com.au>>
>>> wrote:
>>> 
>>>> Is this it ?
>>>> 
>>>> https://builds.apache.org/view/All/job/CouchDB/ <https://builds.apache.org/view/All/job/CouchDB/>
<
>>>> https://builds.apache.org/view/All/job/CouchDB/ <https://builds.apache.org/view/All/job/CouchDB/>>
>>>> 
>>>> Gav…
>>>> 
>>>>> On 17 Sep 2017, at 9:52 am, Gavin McDonald <gavin@16degrees.com.au
<mailto:gavin@16degrees.com.au>>
>>>> wrote:
>>>>> 
>>>>> So that I can look out for it, which job(s) are missing?
>>>>> 
>>>>> Gav…
>>>>> 
>>>>>> On 17 Sep 2017, at 9:37 am, Gav <ipv6guru@gmail.com <mailto:ipv6guru@gmail.com>>
wrote:
>>>>>> 
>>>>>> Hi Joan,
>>>>>> 
>>>>>> not at this stage. I'm 'hoping' they will return, if not I'll look
to
>>>>>> backups.
>>>>>> 
>>>>>> I am finding some errors with plugins such as :-
>>>>>> 
>>>>>> Failure -
>>>>>> 
>>>>>> java.io.IOException: Pipeline: Job v2.14.1 failed to load.
>>>>>> - You must update Jenkins from v2.60.1 to v2.62 or later to run this
>>>> plugin.
>>>>>> 
>>>>>> I have no clue why Jenkins did not warn about this or why it let
me
>>>>>> install it anyway.
>>>>>> 
>>>>>> That plugin could be related as to why your job is missing.
>>>>>> 
>>>>>> Also, I just checked my screenshots before starting plugin updates
and
>>>>>> this plugin is not even listed
>>>>>> 
>>>>>> so must have been pulled in as a dependency of another. :/
>>>>>> 
>>>>>> More news later, for now, Im fighting plugins one at a time.
>>>>>> 
>>>>>> I may end up upgrading Jenkins itself to latest LTS - which was not
>>>>>> really scheduled until EOM
>>>>>> 
>>>>>> but we'll see how I get on.
>>>>>> 
>>>>>> 
>>>>>> Gav...
>>>>>> 
>>>>>> 
>>>>>> On Sun, Sep 17, 2017 at 8:50 AM, Joan Touzet <wohali@apache.org
<mailto:wohali@apache.org>> wrote:
>>>>>> 
>>>>>>> Oof, I see that ours (a multibranch pipeline job) is missing.
Any clue
>>>>>>> whether the job will be restored once the plugins are restored
as well?
>>>>>>> 
>>>>>>> -Joan
>>>>>>> ----- Original Message -----
>>>>>>> From: "Gavin McDonald" <gavin@16degrees.com.au <mailto:gavin@16degrees.com.au>>
>>>>>>> To: builds@apache.org <mailto:builds@apache.org>
>>>>>>> Sent: Saturday, 16 September, 2017 6:36:21 PM
>>>>>>> Subject: Re: [JENKINS] - Plugins update
>>>>>>> 
>>>>>>> Another update
>>>>>>> 
>>>>>>> Some plugins have failed to load since they were upgraded, even
though
>>>>>>> marked as compartible and only minor increment 1.20 to 1.21 etc
>>>>>>> 
>>>>>>> I am looking into re-installing those today.
>>>>>>> 
>>>>>>> In the meantime, it looks like some jobs have disappeared as
a result,
>>>>>>> others not building etc …
>>>>>>> 
>>>>>>> Gav…
>>>>>>> 
>>>>>>>> On 16 Sep 2017, at 10:03 pm, Gavin McDonald <gavin@16degrees.com.au
<mailto:gavin@16degrees.com.au>>
>>>>>>> wrote:
>>>>>>>> 
>>>>>>>> 
>>>>>>>>> On 16 Sep 2017, at 2:08 pm, Gavin McDonald <gavin@16degrees.com.au
<mailto:gavin@16degrees.com.au>>
>>>>>>> wrote:
>>>>>>>>> 
>>>>>>>>> Hi All,
>>>>>>>>> 
>>>>>>>>> Jenkins is scheduled for a restart today to upgrade some
plugins.
>>>>>>>>> Currently therefore no more jobs will run until current
ones are
>>>>>>> completed
>>>>>>>>> and the restart has occurred.
>>>>>>>>> 
>>>>>>>>> Will update again after the restart.
>>>>>>>> 
>>>>>>>> Ok sorry for delay, a couple of restarts were necessary.
>>>>>>>> 
>>>>>>>> List of plugins upgraded today are listed at:
>>>>>>>> 
>>>>>>>> https://cwiki.apache.org/confluence/display/INFRA/Plugin+Updates
<https://cwiki.apache.org/confluence/display/INFRA/Plugin+Updates> <
>>>>>>> https://cwiki.apache.org/confluence/display/INFRA/Plugin+Updates
<https://cwiki.apache.org/confluence/display/INFRA/Plugin+Updates>>
>>>>>>>> 
>>>>>>>> Gav…
>>>>>>>> 
>>>>>>>>> 
>>>>>>>>> Gav…
>>>>>>>>> 
>>>>>>>> 
>>>>>>> 
>>>>>> 
>>>>>> 
>>>>>> 
>>>>>> --
>>>>>> Gav...
>>>>> 
>>>> 
>>>> 
>> 
> 


Mime
View raw message